Subject: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Apr 2021 14:45:59 +0300

> Date: Wed, 7 Apr 2021 10:58:09 +0100
> From: Alan Third <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> 	[email-masked]
> 
> This appears to work, but I don't see anything else like it in
> configure.ac, so it's maybe not a good idea:
> 
>         brew_libdir=`dirname ${BREW_LIBGCCJIT_PREFIX}/lib/gcc/*/libgccjit.so`
>         LDFLAGS="$LDFLAGS -L${brew_libdir} -I${BREW_LIBGCCJIT_PREFIX}/include"

This is indeed non-portable, but using 'find' pipes into a suitable
Sed script should be able to do that portably.

It is indeed suboptimal to have the compiler version in these file
names, so I'd prefer to solve it in a cleaner way.